Foreman - Bug #29470
Tracker # 24837 (Closed): Rails 6.0 Tracker

Foreman won't start on Rails 6 due to incompatible method call in rabl template handler
04/05/2020 06:59 AM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: Ondfrej Ezr
Category: Rails
Target version:
Difficulty: Fixed in Releases: 2.1.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7561
Description

Associated revisions

Revision a2e8571f - 04/07/2020 02:34 PM - Ondfiej Ezr
Fixes #29470 - Rails 6 compatible template handler method

ActionView::Template::Handlers changed the method signature for “call’ in rails 6

History

#1 - 04/05/2020 11:06 AM - Tomer Brisker
- Parent task set to #24837

#2 - 04/06/2020 08:00 AM - Tomer Brisker
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7561 added

#3 - 04/07/2020 01:31 PM - Tomer Brisker

- Subject changed from Foreman won't start on Rails 6 due to incompatible method calls to Foreman won't start on Rails 6 due to incompatible method
call in rabl template handler

The method signature for template handlers was changed in: https:/github.com/rails/rails/commit/28f88e0074f473f58c2d3fd54cb3daff81027¢c12

#4 - 04/07/2020 02:34 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#5 - 04/07/2020 03:01 PM - Ondfej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset a2e8571f80d01729dcf5b389dd8bad1d70073dd0.
